<template>
  <div class="office-wrapper">
    <iframe :src="url" class="previewBody"></iframe>
  </div>
</template>

<script lang="ts">
export default {
  name: 'PreviewOffice',
};
</script>

<script setup lang="ts">
import { computed } from 'vue';

type Props = {
  fileUrl: string;
};

const props = defineProps<Props>();

const url = computed(
  () => `https://view.officeapps.live.com/op/view.aspx?src=${props.fileUrl}?${Date.now()}`
);
</script>
